%define upstream_name    Data-Locations
%define upstream_version 5.5

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Data-Locations module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
This module allows for "magic" insertion points in your data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES.txt CREDITS.txt GNU_GPL.txt INSTALL.txt README.txt META.yml
%{perl_vendorlib}/*/Data/Locations.pm
%{perl_vendorlib}/*/auto/Data/Locations
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 5.500.0-6.mga3
+ Revision: 365390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 5.500.0-5.mga3
+ Revision: 250473
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 5.500.0-4.mga2
+ Revision: 104092
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 5.500.0-3.mga1
+ Revision: 32742
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 5.500.0-2.mga1
+ Revision: 30070
- mageia rebuild
- imported package perl-Data-Locations

